org.apache.maven.artifact.repository.metadata

## Class ArtifactRepositoryMetadata

- java.lang.Object
- - org.apache.maven.artifact.repository.metadata.AbstractRepositoryMetadata
  - - org.apache.maven.artifact.repository.metadata.ArtifactRepositoryMetadata

All Implemented Interfaces:
  ArtifactMetadata, RepositoryMetadata

    public class ArtifactRepositoryMetadata
    extends AbstractRepositoryMetadata

Metadata for the artifact directory of the repository.

Version:
  $Id: ArtifactRepositoryMetadata.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`ArtifactRepositoryMetadata(Artifact artifact)`
`ArtifactRepositoryMetadata(Artifact artifact, Versioning versioning)`

### Method Summary

Methods
`java.lang.String` `getArtifactId()`
`java.lang.String` `getBaseVersion()`
`java.lang.String` `getGroupId()`
`java.lang.Object` `getKey()`
`boolean` `isSnapshot()` Whether this represents a snapshot.
`void` `setRepository(ArtifactRepository remoteRepository)` Set the repository the metadata was located in.
`boolean` `storedInArtifactVersionDirectory()` Whether this metadata should be stored alongside the artifact.
`boolean` `storedInGroupDirectory()` Whether this metadata should be stored alongside the group.

### Methods inherited from class org.apache.maven.artifact.repository.metadata.AbstractRepositoryMetadata

`createMetadata, createVersioning, extendedToString, getLocalFilename, getMetadata, getRemoteFilename, merge, setMetadata, storeInLocalRepository, toString, updateRepositoryMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArtifactRepositoryMetadata

    public ArtifactRepositoryMetadata(Artifact artifact)

#### ArtifactRepositoryMetadata

    public ArtifactRepositoryMetadata(Artifact artifact,
                              Versioning versioning)

### Method Detail

#### storedInGroupDirectory

    public boolean storedInGroupDirectory()

Description copied from interface: `ArtifactMetadata`
Whether this metadata should be stored alongside the group.

#### storedInArtifactVersionDirectory

    public boolean storedInArtifactVersionDirectory()

Description copied from interface: `ArtifactMetadata`
Whether this metadata should be stored alongside the artifact.

#### getGroupId

    public java.lang.String getGroupId()

#### getArtifactId

    public java.lang.String getArtifactId()

#### getBaseVersion

    public java.lang.String getBaseVersion()

#### getKey

    public java.lang.Object getKey()

#### isSnapshot

    public boolean isSnapshot()

Description copied from interface: `RepositoryMetadata`
Whether this represents a snapshot.

Returns:
  if it is a snapshot

#### setRepository

    public void setRepository(ArtifactRepository remoteRepository)

Description copied from interface: `RepositoryMetadata`
Set the repository the metadata was located in.

Parameters:
  `remoteRepository` - the repository